Main Page Groups Namespaces

# compose.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::compose1_functor<T_setter, T_getter>
| Adaptor that combines two functors. More...
struct | sigc::compose1_functor<T_setter, T_getter>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::compose2_functor<T_setter, T_getter1, T_getter2>
| Adaptor that combines three functors. More...
struct | sigc::compose2_functor<T_setter, T_getter1, T_getter2>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
## Functions
template <class T_action, class T_setter, class T_getter> void | visit_each (const T_action& _A_action, const compose1_functor<T_setter, T_getter>& _A_target)
| Performs a functor on each of the targets of a functor.
template <class T_action, class T_setter, class T_getter1, class T_getter2> void | visit_each (const T_action& _A_action, const compose2_functor<T_setter, T_getter1, T_getter2>& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_setter, class T_getter> compose1_functor< T_setter, T_getter > | compose (const T_setter& _A_setter, const T_getter& _A_getter)
| Creates an adaptor of type sigc::compose1_functor which combines two functors.
template<class T_setter, class T_getter1, class T_getter2> compose2_functor< T_setter, T_getter1, T_getter2 > | compose (const T_setter& _A_setter, const T_getter1& _A_getter1, const T_getter2& _A_getter2)
| Creates an adaptor of type sigc::compose2_functor which combines three functors.